> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List (All) Subscriptions

Retrieves a list of Subscriptions. This can be used to get a list of subscriptions for a given account using the “account” query parameter.

**Note:** For a list of all subscriptions, use the**Active (Autobills) Subscriptions Report** available in the Subscribe Merchant Portal.

## HTTP Request

`GET https://api.vindicia.com/subscriptions?account`

## Route (URL) Parameters

None.

## **Query Parameters**

| Parameter | Type | Default | Description | Required |
| - | - | - | - | - |
| account | string | none | Limit the subscription list to a specified account **id** or **vid** - all Subscriptions associated with that Account are displayed. | Yes |
| email | string | none | Limit the Subscription list to subscriptions associated with the listed account and with a specific email. | No |
| limit | integer | 20 | A limit on the number of objects to be returned, between 1 and 100. | No |
| starting\_after | string | none | A cursor for use in pagination. starting\_after is an object **id** that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj\_foo, your subsequent call can include starting\_after=obj\_foo in order to fetch the next page of the list. | No |
| ending\_before | string | none | A cursor for use in pagination. ending\_before is an object **id** that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj\_bar, your subsequent call can include ending\_before=obj\_bar in order to fetch the previous page of the list. | No |
| status | enum | all | Provides a Filter for the list of subscription per an account by status. You can filter by: - `Active`: The Subscription is actively granting entitled service and billing in accordance with the assigned Billing Plan and associated Subscription Items. - `Cancelled`: The Subscription is no longer actively granting service. It has been cancelled due to user, merchant, or system action—for example, the customer has opted out of recurring billing or canceled the service; API calls to cancel the subscription or stop billing on the Customer have been made; or if a chargeback is received against a transaction generated by the Subscription. Cancelled is a terminal and permanent status. The Billing condition of this Subscription is clarified by the current Billing State. Note that the customer who owns the Subscription is entitled until the Subscription's end-date. - `Deleted`: The Subscription was administratively removed—the content of this status can only be displayed in custom and specialty reports. - `Expired`: The Subscription is no longer actively granting service—its fixed or non-recurring plan has ended and no further billing is scheduled or possible. - `Pending Activation`: The Subscription has been fully created, has a start date that is in the future, and has not yet granted entitled service and is not yet billing. The Subscription start date can still be changed. - `Pending Cancel`: The Subscription is Active but scheduled for cancellation. The Subscription will leave active service at the current end date. - `Processing`: The Subscription is newly created and still being administratively defined. It is not currently providing entitled service and is not yet billing. Typically this status will be followed by Pending Activation where the Subscription has been completely created but has a future start date and is not yet entitled or billing. - `Pending Pause`: The Subscription is Active but scheduled for pause. The Subscription will be paused on the next pause\_history sub-object start date. It will remain paused with no end date. - `Paused`: The Subscription is no longer actively granting service or being billed. If no other action is taken upon the Subscription (resume is not performed), it will remain paused for 5 years, and then automatically move to `Cancelled` status. | No |
| include\_children | boolean | false | Indicates whether or not to return any existing child accounts’ subscriptions for a given returned Subscription/account combination. | No |
| primary\_product | string | none | Limit the Subscription list to the primary product (SubscriptionItem) of the subscription. | No |
| product | string | none | Limit the Subscription list to those subscriptions associated with the listed account and with the specified product **id** or **vid** as a SubscriptionItem. | No |

## Accepts

None.

## Returns

JSON - A *list* array with a data property that contains an array of up to limit [Subscriptions](Subscriptions), starting after the specified starting\_after Subscription (or ending before the specified ending\_before Subscription). Each entry in the array is a full Subscription object. If no more Subscriptions are available, the resulting array will be empty. This request should never throw an error.

A *list* of [Subscription](Subscriptions) objects matching the query. Also:

* “total\_count”: Integer count of the number of Subscriptions in the returned list.

* “url”: The query string provided in the request

* “next”: The route (partial URL) to the next Subscription object (string to select the “next”); included **id** should match that of the last object returned here

* “previous”: The route (partial URL) to the previous Subscriptions object (string to select the “previous”); included **id** should match that of the first object returned here

## Example Request

```

curl -X GET  \
-u acaff38d462f9430d5cbcbaf:a575771fc679b9de \
"https://api.staging.us-west.vindicia.com/subscriptions?limit=3&account=cust_2234"
```

The above command returns JSON structured like this:

```

{
    "object": "List",
    "data": [
        {
            "object": "Subscription",
            "id": "sub_1234",
            "vid": "400dc2e6524e754914d8bd40e495f05f53939ddc",
            "created": "2020-05-27T14:54:45-07:00",
            "account": {...},
            "billing_plan": {...},
            "payment_method": {...},
            "currency": "USD",
            "description": "Subscription_1234",
            "status": "Active",
            "billing_state": "Good Standing",
            "starts": "2020-05-27T05:52:02-07:00",
            "entitled_through": "2020-07-05T00:00:00-07:00",
            "items": {
                "object": "List",
                "data": [
                    {...Subscription Item...},
                    {...Subscription Item...}
                ],
                "total_count": 2
            },
            "billing_day": 27,
            "minimum_commitment": 0,
            "notify_on_transition": false,
            "next_billing": {...}
        },
        {...Subscription...}
    ],
    "total_count": 2,
    "url": "/subscriptions?limit=3&account=cust_2234",
    "next": "/subscriptions?limit=3&account=cust_2234&starting_after=sub_1234x",
    "previous": "/subscriptions?limit=3&account=cust_2234&ending_before=sub_1234"
}
```

**Parent topic:**[Subscriptions](../topics/Subscriptions)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.